
GLPI-PROJECT - Bug #4480
Security fix - CVE-2013-5696
09/09/2013 05:28 PM - webmyster

Status: Closed Start date: 09/09/2013
Priority: High Due date:
Assignee: webmyster % Done: 100%
Category: Install / Update Estimated time: 0.00 hour
Target version: 0.84.2
Description

Fix : SQL Injection & PHP Code Execution

Navixia SA
CVE-2013-5696

High-Tech Bridge Security Research Lab
Advisory ID: HTB23173

Related issues:
Related to GLPI-PROJECT - Task # 4483: Review install process New 09/11/2013

Associated revisions
Revision 21707 - 09/09/2013 05:30 PM - webmyster

Fix CZRF for install process (see #4480)

Revision 21708 - 09/09/2013 05:34 PM - webmyster

[0.85] report previous (see #4480)

Revision 21709 - 09/09/2013 05:53 PM - webmyster

[0.83] Report previous (see #4480)

Revision 21720 - 09/11/2013 08:33 AM - webmyster

Use $_SESSION instead of $_POST during install (see #4480)

Revision 21721 - 09/11/2013 08:34 AM - webmyster

[0.84] Use $_SESSION instead of $_POST during install (see #4480)

Revision 21722 - 09/11/2013 08:34 AM - webmyster

[0.83] Use $_SESSION instead of $_POST during install (see #4480)

10/23/2021 1/3



Revision 21732 - 09/11/2013 12:43 PM - moyo

Protect url_base injection see #4480

Revision 21733 - 09/11/2013 12:45 PM - moyo

[0.84] Protect url_base injection see #4480

Revision 21744 - 09/11/2013 06:56 PM - moyo

[0.85] fix upgrade for rights + more work for #4480

Revision 21745 - 09/11/2013 06:58 PM - moyo

more work for #4480

Revision 21746 - 09/11/2013 07:00 PM - moyo

[0.85] more work for #4480

Revision 21747 - 09/11/2013 07:01 PM - moyo

more work for #4480

Revision 21748 - 09/11/2013 07:07 PM - moyo

[0.85] fix last see #4480 (moyo tired)

Revision 21749 - 09/11/2013 07:07 PM - moyo

fix last see #4480 (moyo tired)

Revision 21750 - 09/11/2013 07:50 PM - moyo

[0.85] more security check see #4480

Revision 21751 - 09/11/2013 07:51 PM - moyo

more security check see #4480

Revision 21752 - 09/11/2013 07:59 PM - moyo

[0.85] add warning see #4480
Revision 21753 - 09/11/2013 07:59 PM - moyo

add warning see #4480

History
#1 - 09/09/2013 05:56 PM - webmyster
- % Done changed from 0 to 50

Jobs done for 0.83, 0.84 and 0.85. Don't know how to integrate for previous version (CSRF is missing).

#2 - 09/09/2013 05:57 PM - moyo
- Target version set to 0.84.2

#3 - 09/11/2013 10:34 AM - moyo
- Category changed from DB Scheme to Install / Update

#4 - 09/11/2013 03:26 PM - webmyster
- Status changed from Assigned to Resolved
- % Done changed from 50 to 100

#5 - 09/11/2013 06:31 PM - moyo
- Subject changed from CVE-2013-5696: security fix (CSRF for install process) to CVE-2013-5696: security fix 

#6 - 09/11/2013 08:47 PM - jmd
- Subject changed from CVE-2013-5696: security fix  to Security fix 

#7 - 09/12/2013 09:31 PM - jmd
- Subject changed from Security fix  to Security fix - CVE-2013-5696

#8 - 09/12/2013 09:33 PM - moyo
- Status changed from Resolved to Closed
